Subject: Re: [iproute2] Fix -oneline output when alias present

From: Roopa Prabhu <[email-masked]>
Date: Wed, 13 Mar 2013 05:20:08 -0700

On 3/13/13 2:48 AM, Andreas Henriksson wrote:
> Hi!
>
> Just wanted to point out some minor style issues with your patch.
> See below...
>
> On Tue, Mar 12, 2013 at 12:03:47PM -0000, [email-masked] wrote:
> [...]
>> -	if (do_link&&  tb[IFLA_IFALIAS])
>> -		fprintf(fp,"\n    alias %s",
>> +	if (do_link&&  tb[IFLA_IFALIAS]) {
>> +		fprintf(fp, "%s", _SL_);
>> +		fprintf(fp,"    alias %s",
>
>                            ^^^ missing space here.

Oh, I hadn't noticed that. I did not introduce the style problem there.
I just happened to pick the _SL_line from else where in the code.
Since this patch is in, I will submit a patch to fix the spacing.
>
> Also, why not use a single fprintf?

I was just following convention here. The SL line seems to be on a line 
of its own else where in the code. Which i did think was cleaner.

Thanks.